#include <stdio.h>
#include <stdlib.h>

#include "SDL.h"
#include "SDL_image.h"


SDL_Rect re;
Uint32 flags = SDL_HWSURFACE | SDL_DOUBLEBUF | SDL_FULLSCREEN;
int x,y;
SDL_Surface *Screen = NULL;
SDL_Surface *test;

int main(int argc, char **argv) {

	printf("Initializing SDL: VIDEO...");
	if ( SDL_Init(SDL_INIT_VIDEO) < 0 )
	{
		fprintf(stderr, "Error initializing SDL: %s\n", SDL_GetError());
		return -1;
	}

	printf("OK.\n");
	printf("Setting video mode: 800x480x32...");



	Screen = SDL_SetVideoMode(800, 480, 32, flags);
	if ( Screen == NULL ) {
		printf("Not OK\n");
		return -1;
	} else
		printf("OK\n");


	test = IMG_Load("skull.png"); 
	if (test) printf("Loaded test image\n");


// OK
	SDL_FillRect(Screen,NULL,SDL_MapRGB(Screen->format,200,200,250));
	re.x = 770;
	re.y = 450;
	SDL_BlitSurface(test,NULL,Screen,&re);
	SDL_Flip(Screen);
	SDL_Delay(1000);

// OK
	SDL_FillRect(Screen,NULL,SDL_MapRGB(Screen->format,200,250,200));
	re.x = 769;
	re.y = 450;
	SDL_BlitSurface(test,NULL,Screen,&re);
	SDL_Flip(Screen);
	SDL_Delay(1000);

// not OK
	SDL_FillRect(Screen,NULL,SDL_MapRGB(Screen->format,250,200,200));
	re.x = 769;
	re.y = 450;
	SDL_BlitSurface(test,NULL,Screen,&re);
	SDL_Flip(Screen);
	SDL_Delay(1000);

	SDL_Quit();
	return 0;
}

